Chanl

List Prompts

List prompt templates in the workspace with optional filters.

Request
curl -X GET "https://platform.chanl.ai/api/v1/prompts?status=active&limit=20" \
  -H "X-API-Key: chanl_key_..."
import { Chanl } from '@chanl/sdk';

const chanl = new Chanl({ apiKey: process.env.CHANL_API_KEY });
const { data } = await chanl.prompts.list({ status: 'active', limit: 20 });
import asyncio
from chanl import AsyncChan

async def main():
    async with AsyncChan(api_key="chanl_key_...") as client:
        result = await client.prompts.list(status="active", limit=20)
        print(result)

asyncio.run(main())

Query parameters

ParameterTypeDescription
searchstringSearch name or content
categorystringsupport, sales, onboarding, general
statusstringactive, draft, archived
tagsstringComma-separated tags
pagenumberPage number
limitnumberPage size

On this page